{% extends 'base.html.twig' %}

{% block body %}
	<div class="card">
		{% if notifications|length %}
			<div class="card-body">
				<h5>Unread notifications</h5>
			</div>		
		
	        <ul class="list-group list-group-flush">
	        	<li class="list-group-item">
	    				<a href="{{ path('notification_acknowledge_all') }}" 
	    				   class="btn btn-block btn-default btn-link btn-outline-info">
	    					Mark all as read	    					
	    				</a>
	    		</li>
	        	{% for notification in notifications %}
	        		<li class="list-group-item">
	    				{% if notification is not liked %}
	    					<a href="{{ path('notification_acknowledge', {'id' : notification.id}) }}" 
	    				   class="btn btn-sm btn-primary float-right">
	    					Ok	    					
	    					</a>
		    				<a href="{{ path('micro_post_user', {'username' : notification.likedBy.username}) }}">
		    					{{ notification.likedBy.username }}
		    				</a>
		    				likes your 
		    				<a href="{{ path('micro_post_post', {'id' : notification.microPost.id}) }}">
		    					post
		    				</a>	
		    			{% endif %} 
	    			</li>
	    		{% endfor %}
	    	</ul>
	    	{% else %}
	    	    <div class="card-body">You have no notifications</div>
    	{% endif %}
	</div>     
{% endblock %}